Subject: Talkdesk Groups
From: Abhishek Kumar <[email-masked]>
To: jvdo <[email-masked]>
Cc: saurabh <[email-masked]>, deeksha <[email-masked]>, Pritish Nandi <[email-masked]>, Ashish Dabral <[email-masked]>
Date: Thu, 2 Sep 2021 03:37:40 -0700 (MST)

Hi Josephine 
Thank you for granting the talkdesk reporting Access. Although it's slow in loading, but it works now. 

I have noticed an imbalance in the number of ring groups that the L1s are added to. 
I feel this affects their workload distribution. 

Can Ashish get the access to modify these groups to accommodate changes. 
Maybe we will be able to ensure the calls are not missed if all the agents in a particular queue are busy. 
I have attached a screenshot for reference. 

Regards 
Abhishek Kumar 
Consultant, QMC 
LiveSalesman